> ## Documentation Index
> Fetch the complete documentation index at: https://docs.geekai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Doubao-Seedream-5.0-Lite

Doubao-Seedream-5.0-lite是字节跳动发布的最新图像创作模型。该模型首次搭载联网检索功能，能融合实时网络信息，提升生图时效性。同时，模型的聪明度进一步升级，能够精准解析复杂指令和视觉内容。此外，模型在世界知识广度、参考一致性及专业场景生成质量上均有增强，可更好地满足企业级视觉创作需求。

* 模型ID：`doubao-seedream-5.0-lite`
* 模型价格：你可以在[模型广场](https://geekai.co/models?platform=bytedance\&type=image)查看最新价格信息
* 调用入口：`https://geekai.co/api/v1/images/generations`
* 模型参数：参考[画图 API 手册](https://docs.geekai.co/cn/api/image/generations)
* API认证：[获取 API KEY](https://docs.geekai.co/cn/docs/quick_start)

<Note>
  不支持画图 API 中的以下参数：

  * `negative_prompt`
  * `strength`
  * `aspect_ratio`
  * `quality`
  * `n`
  * `style_preset`
  * `mask`
  * `background`

  附：[Seedream 5.0 官方 API 文档](https://www.volcengine.com/docs/82379/1824121)
</Note>

Doubao-Seedream-5.0-Lite 不支持设置图片宽高比及分辨率,可以通过 `size` 字段实现，该字段支持两种方式传值：

* 指定生成图像的分辨率: `2K`、`3K`、`4K`, 并在 `prompt` 中用自然语言描述图片宽高比、图片形状或图片用途，最终由模型判断生成图片的大小。
* 指定生成图像的宽高像素值，默认值是 `2048x2048`，对应宽高比为 1:1，此外还可以通过如下像素值生成不同宽高比的图片：

| 分辨率 | 宽高比  | 像素值       |
| --- | ---- | --------- |
| 2K  | 1:1  | 2048x2048 |
|     | 4:3  | 2304x1728 |
|     | 3:4  | 1728x2304 |
|     | 16:9 | 2848x1600 |
|     | 9:16 | 1600x2848 |
|     | 3:2  | 2496x1664 |
|     | 2:3  | 1664x2496 |
|     | 21:9 | 3136x1344 |
| 3K  | 1:1  | 3072x3072 |
|     | 4:3  | 3456x2592 |
|     | 3:4  | 2592x3456 |
|     | 16:9 | 4096x2304 |
|     | 9:16 | 2304x4096 |
|     | 3:2  | 3744x2496 |
|     | 2:3  | 2496x3744 |
|     | 21:9 | 4704x2016 |
| 4K  | 1:1  | 4096x4096 |
|     | 4:3  | 3520x4704 |
|     | 3:4  | 4704x3520 |
|     | 16:9 | 5504x3040 |
|     | 9:16 | 3040x5504 |
|     | 3:2  | 3328x4992 |
|     | 2:3  | 4992x3328 |
|     | 21:9 | 6240x2656 |

### 文生图

通过给模型提供清晰准确的文字指令，即可快速获得符合描述的高质量单张图片：

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model": "doubao-seedream-5.0-lite",
    "prompt": "充满活力的特写编辑肖像，模特眼神犀利，头戴雕塑感帽子，色彩拼接丰富，眼部焦点锐利，景深较浅，具有Vogue杂志封面的美学风格，采用中画幅拍摄，工作室灯光效果强烈。",
    "size": "2K",
    "output_format":"png",
    "watermark": false
}'
```

响应是一个 JSON 对象，包含生成图片的 URL：

```json theme={null}
{
    "model": "doubao-seedream-5.0-lite",
    "created": 1772246597,
    "task_id": "f79c81a4-7a7e-400f-9cfb-4d709c74bda3",
    "task_status": "succeed",
    "data": [
        {
            "url": "https://static.geekai.co/image/2026/02/28/d32786f7ec903244d657b68df883742b.png"
        }
    ],
    "usage": {
        "billed_units": 1,
        "output_tokens": 16384,
        "total_tokens": 16384
    }
}
```

下面的图生图的输出结果同上述结果，不在列举。

### 图生图

**单图**

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model": "doubao-seedream-5.0-lite",
    "prompt": "生成狗狗趴在草地上的近景画面",
    "image": "https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream4_imageToimage.png",
    "size": "2K",
    "output_format":"jpeg",
    "watermark": false
}'
```

**多图**

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model": "doubao-seedream-5.0-lite",
    "prompt": "将图1的服装换为图2的服装",
    "image": [
        "https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream4_imagesToimage_1.png", 
        "https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream4_5_imagesToimage_2.png"
    ],
    "size": "2K",
    "output_format":"png",
    "watermark": false
}'
```

### 组图输出

**文生组图**

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model": "doubao-seedream-5.0-lite",
    "prompt": "生成一组共4张连贯插画，核心为同一庭院一角的四季变迁，以统一风格展现四季独特色彩、元素与氛围",
    "size": "2K",
    "output_format":"png",
    "watermark": false,
    "extra_body": {
        "sequential_image_generation": "auto",
        "sequential_image_generation_options": {
            "max_images": 4
        }
    }
}'
```

**单张图组图**

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model": "doubao-seedream-5.0-lite",
    "prompt": "参考这个LOGO，做一套户外运动品牌视觉设计，品牌名称为'GREEN'，包括包装袋、帽子、卡片、挂绳等。绿色视觉主色调，趣味、简约现代风格",
    "image": "https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream4_imageToimages.png",
    "size": "2K",
    "output_format":"png",
    "watermark": false,
    "extra_body": {
        "sequential_image_generation": "auto",
        "sequential_image_generation_options": {
            "max_images": 4
        }
    }
}'
```

**多参考图组图**

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model": "doubao-seedream-5.0-lite",
    "prompt": "生成3张女孩和奶牛玩偶在游乐园开心地坐过山车的图片，涵盖早晨、中午、晚上",
    "image": [
        "https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream4_imagesToimages_1.png", 
        "https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream4_imagesToimages_2.png"
    ],
    "size": "2K",
    "output_format":"png",
    "watermark": false,
    "extra_body": {
        "sequential_image_generation": "auto",
        "sequential_image_generation_options": {
            "max_images": 3
        }
    }
}'
```

**联网搜索**

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model": "doubao-seedream-5.0-lite",
    "prompt": "制作一张上海未来5日的天气预报图，采用现代扁平化插画风格，清晰展示每日天气、温度和穿搭建议。整体为横向排版，标题为“上海未来5日天气预报”，包含5个等宽的垂直卡片，从左到右依次排列。 整体风格为现代、干净、友好的扁平化矢量插画风格，线条清晰，色彩柔和。人物形象采用年轻男女的卡通插画，表情自然，姿态放松，服装细节清晰。",
    "size": "2048x2048",
    "output_format":"png",
    "response_format": "url",
    "watermark": false,
    "extra_body": {
        "tools": [
            {
                "type": "web_search"
            }
        ]
    }
}'
```
